## curtin 0.1.0~bzr470

=== debian/changelog ===
curtin (0.1.0~bzr470-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/rules: record debian package version in installed package.
    (LP: #1666986)
  * New upstream snapshot.
    - vmtest: allow time-based skipping of tests, apply to ZestyMdadmBcache
      to temporarily avoid bug 1667078.
    - Add iSCSI disk support. (LP: #1645515)
    - vmtest: handle change in btrfs-progs when finding fs UUID. (LP: #1665701)
    - pycodestyle: fix bare except in vmtests
    - unittests: add subp coverage for retries, and rcs
    - reporting: Add better descriptions and granularity of events
    - tox: do not bother with pep8 from trusty in trusty-check
    - tests: add two scripts used for running vmtest with installed package.
    - Make add-apt-repository command retry
    - Add tests for network bridging configuration

 -- Scott Moser <smoser@ubuntu.com>  Wed, 01 Mar 2017 11:13:58 -0500

curtin (0.1.0~bzr460-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * New upstream snapshot.
    - Install zipl in target on s390x arch. (LP: #1662346)
    - avoid UnicodeDecode error on passing non-utf8 into shlex
    - adjustments to version string handling, improved pack unit tests.
    - helpers/common: Add grub install debugging output
    - curtin: add version module and display in output and logs
    - content decoding in load_file, apply_net raise exception on errors
    - gpg: retry when recv'ing gpg keys fail (LP: #1661337)
    - Add clear_holders checks to disk and partition handlers (LP: #1659509)
    - net: add new lines after rendered static routes. (LP: #1649652)
    - multipath: don't run update-grub; setup_grub will handle this better.
      (LP: #1656369)
    - Test changes:
      - vmtest: Add tests for zesty and Trusty HWE-X kernels.
      - tests: fix tox tip-pycodestyle complaints
      - image-sync: add debugging output to help diagnose errors
      - vmtest: change get_curtin_version to use version subcommand.
      - Remove style checking during build and add latest style checks to tox
      - subp doc an unit test improvements.
      - flake8: remove unused variable.
      - vmtest: Add the ability to add extra config files to test execution.
      - vmtest: overhaul image sync
      - vmtest: skip apt-proxy test if not set
      - vmtest: add 'webserv' helper
      - vmtest: add CURTIN_VMTEST_CURTIN_EXE variable.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 19:40:38 -0500

curtin (0.1.0~bzr437-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/new-upstream-snapshot: change to not use bzr merge-upstream.
  * New upstream snapshot.
    - pep8: fix pep8 errors found with 'make pep8' on zesty.
    - Workaround failures caused by gpg2 daemons left running in chroot.
      (LP: #1645680)
    - Install u-boot-tools when running on a system with u-boot. (LP: #1640519)
    - block: fix partition kname for raid devices  (LP: #1641661)
    - Fix up tox errors that slipped in and new pycodestyle 2.1.0 complaints.
    - vmtests: adjust vmtest image sync metadata filenames
    - vmtests: Add centos support
    - Disable WilyTestRaid5Bcache vmtest
    - tools/xkvm: fix --netdev=<bridge>
    - bytes2human: fix for values larger than 32 bit int on 32 bit python2.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 18 Jan 2017 12:39:01 -0500

curtin (0.1.0~bzr425-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  [ Scott Moser ]
  * debian/new-upstream-snapshot: add writing of debian changelog entries. 

  [ Ryan Harper ]
  * New upstream snapshot.
    - unittest,tox.ini: catch and fix issue with trusty-level mock of open 
    - block/mdadm: add option to ignore mdadm_assemble errors  (LP: #1618429)
    - curtin/doc: overhaul curtin documentation for readthedocs.org
      (LP: #1351085)
    - curtin.util: re-add support for RunInChroot  (LP: #1617375)
    - curtin/net: overhaul of eni rendering to handle mixed ipv4/ipv6 configs 
    - curtin.block: refactor clear_holders logic into block.clear_holders and
      cli cmd 
    - curtin.apply_net should exit non-zero upon exception.  (LP: #1615780)
    - apt: fix bug in disable_suites if sources.list line is blank. 
    - vmtests: disable Wily in vmtests 
    - Fix the unittests for test_apt_source. 
    - get CURTIN_VMTEST_PARALLEL shown correctly in jenkins-runner output 
    - fix vmtest check_file_strippedline to strip lines before comparing 
    - fix whitespace damage in tests/vmtests/__init__.py 
    - fix dpkg-reconfigure when debconf_selections was provided.
      (LP: #1609614)
    - fix apt tests on non-intel arch 
    - Add apt features to curtin.  (LP: #1574113)
    - vmtest: easier use of parallel and controlling timeouts 
    - mkfs.vfat: add force flag for formating whole disks  (LP: #1597923)
    - block.mkfs: fix sectorsize flag  (LP: #1597522)
    - block_meta: cleanup use of sys_block_path and handle cciss knames
      (LP: #1562249)
    - block.get_blockdev_sector_size: handle _lsblock multi result return
      (LP: #1598310)
    - util: add target (chroot) support to subp, add target_path helper. 
    - block_meta: fallback to parted if blkid does not produce output
      (LP: #1524031)
    - commands.block_wipe:  correct default wipe mode to 'superblock' 
    - tox.ini: run coverage normally rather than separately 
    - move uefi boot knowledge from launch and vmtest to xkvm 

 -- Ryan Harper <ryan.harper@canonical.com>  Mon, 03 Oct 2016 13:43:54 -0500

curtin (0.1.0~bzr399-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/new-upstream-snapshot: fix for specifying revision.
  * SRU current curtin
    - curtin/net: fix inet value for subnets, don't add interface attributes
      to alias (LP: #1588547)
    - improve net-meta network configuration (LP: #1592149)
    - reporting: set webhook handler level to DEBUG, no filtering
      (LP: #1590846)
    - tests/vmtests: add yakkety, remove vivid
    - curtin/net: use post-up for interface alias, resolve 120 second time out


## curtin 0.1.0~bzr482

=== Makefile ===
TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))
CWD := $(shell pwd)
PYTHON ?= python3
COVERAGE ?= 1
DEFAULT_COVERAGEOPTS = --with-coverage --cover-erase --cover-branches --cover-package=curtin --cover-inclusive 
ifeq ($(COVERAGE), 1)
	coverageopts ?= $(DEFAULT_COVERAGEOPTS)
endif
CURTIN_VMTEST_IMAGE_SYNC ?= False
export CURTIN_VMTEST_IMAGE_SYNC
noseopts ?= -vv --nologcapture

build:

bin/curtin: curtin/pack.py tools/write-curtin
	$(PYTHON) tools/write-curtin bin/curtin

check: unittest

style-check: pep8 pyflakes pyflakes3

coverage: coverageopts ?= $(DEFAULT_COVERAGEOPTS)
coverage: unittest

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3

unittest:
	nosetests $(coverageopts) $(noseopts) tests/unittests
	nosetests3 $(coverageopts) $(noseopts) tests/unittests

docs:
	@which sphinx-build || \
		{ echo "need sphinx-build. get it:"; \
		  echo "   apt-get install -qy python3-sphinx"; exit 1; } 1>&2
	make -C doc html

# By default don't sync images when running all tests.
vmtest:
	nosetests3 $(noseopts) tests/vmtests

vmtest-deps:
	@$(CWD)/tools/vmtest-system-setup

sync-images:
	@$(CWD)/tools/vmtest-sync-images

clean:
	rm -rf doc/_build

.PHONY: all clean test pyflakes pyflakes3 pep8 build style-check

=== debian/changelog ===
curtin (0.1.0~bzr482-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Fix iscsi disks that have a ':' in the target name.  (LP: #1679222)
    - tests: re-enable ZestyTestMdadmBcache. 
    - curthooks: fix pylint reported error when using ubuntu_core_curthooks. 

 -- Scott Moser <smoser@ubuntu.com>  Wed, 05 Apr 2017 15:22:25 -0400

curtin (0.1.0~bzr479-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Add support for installing Ubuntu-Core 16 images.
    - Add 'STORAGE_CONFIG_V1_DD' to the feature list.
    - flake8: fix flake8 issues with previous merge.
    - Support selection of target disk for dd images install via
      storage config.  (LP: #1640301)
    - vmtest: have vmtest-sync-images avoid running when jenkins-runner is.
    - tools/curtin-from-container: do not use lxc file push --create-dirs
    - tests: enable curtainer to pull down curtin source locally
    - tests: make nose output always include class name and method.
    - tools/curtin-from-container: default to verbosity level 0, not 2.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 23 Mar 2017 13:06:43 -0400

curtin (0.1.0~bzr470-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - vmtest: allow time-based skipping of tests, apply to ZestyMdadmBcache
      (LP: #1667078)
    - Add iSCSI disk support. (LP: #1645515)
    - vmtest: handle change in btrfs-progs when finding fs UUID. (LP: #1665701)
    - pycodestyle: fix bare except in vmtests
    - unittests: add subp coverage for retries, and rcs
    - reporting: Add better descriptions and granularity of events
    - tox: do not bother with pep8 from trusty in trusty-check
    - tests: add two scripts used for running vmtest with installed package.
    - Make add-apt-repository command retry
    - Add tests for network bridging configuration
  - debian/rules: remove debug 'find'

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2017 10:30:43 -0500

curtin (0.1.0~bzr460-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Install zipl in target on s390x arch.  (LP: #1662346)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 17:09:34 -0500

curtin (0.1.0~bzr459-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - Remove style checking during build and add latest style checks to tox
    - avoid UnicodeDecode error on passing non-utf8 into shlex
    - adjustments to version string handling, improved pack unit tests.
    - helpers/common: Add grub install debugging output
    - curtin: add version module and display in output and logs
    - content decoding in load_file, apply_net raise exception on errors
    - gpg: retry when recv'ing gpg keys fail (LP: #1661337)
    - Add clear_holders checks to disk and partition handlers (LP: #1659509)
    - net: add new lines after rendered static routes. (LP: #1649652)
    - multipath: don't run update-grub; setup_grub will handle this better.
      (LP: #1656369)
    - test related changes:
      - vmtest: Add tests for zesty and Trusty HWE-X kernels. 
      - tests: fix tox tip-pycodestyle complaints 
      - image-sync: add debugging output to help diagnose errors 
      - vmtest: change get_curtin_version to use version subcommand. 
      - subp doc an unit test improvements. 
      - vmtest: Add the ability to add extra config files to test execution. 
      - vmtest: overhaul image sync 
      - vmtest: skip apt-proxy test if not set 
      - vmtest: add 'webserv' helper 
      - vmtest: add CURTIN_VMTEST_CURTIN_EXE variable. 

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Feb 2017 15:29:57 -0500

curtin (0.1.0~bzr435-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot.
    - pep8: fix pep8 errors found with 'make pep8' on zesty.
    - Workaround failures caused by gpg2 daemons left running in chroot.
      (LP: #1645680)
    - Install u-boot-tools when running on a system with u-boot.
      (LP: #1640519)
    - block: fix partition kname for raid devices  (LP: #1641661)
    - Fix up tox errors that slipped in and new pycodestyle 2.1.0 complaints.
    - vmtests: adjust vmtest image sync metadata filenames
    - vmtests: Add centos support
    - Disable WilyTestRaid5Bcache vmtest
    - tools/xkvm: fix --netdev=<bridge>
    - bytes2human: fix for values larger than 32 bit int on 32 bit python2.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Dec 2016 21:05:30 -0500

## curtin 0.1.0~bzr505

=== debian/changelog ===
curtin (0.1.0~bzr505-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * New upstream snapshot. (LP: #1697545)
    - vmtest: let the socket level select a port rather than us picking one.
    - Fix deb build by mocking call to udevadm settle
    - Clear and re-order UEFI boot methods during UEFI grub installation.
    - Resolve bcache race-conditions
    - tests: clean up usage of collect files
    - Allow re-use of vmtest output
    - Fix stacked storage configurations with iSCSI
    - vmtests: enable tests to apply storage config to validate clear_holders
      path
    - mdadm_stop: Add retry and additional steps to halt a resync
    - vmtests: Add Artful release and update classes
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop
    - uc16 curthooks: add 'network' key to config file
    - Doc and makefile updates for build and test on new systems.
    - clear-holders: make bcache handler wait for device shutdown
    - vmtest: Use utf-8 and fix pseudo test collect_output
    - vmtest: fix path to install log, and utilize the globally copied paths.
    - Copy curtin install log into target.
    - vmtest: add in post-test log post-processing
    - vmtest: update source.list test
    - add recursive flag to do_umount, add --umount to block-meta
    - load_command_environment: fix strict flag, and unit tests.
    - block_meta: Attempt to mount by UUID= if possible
    - Make systems with root on bcache use root=UUID=.
    - Fix iscsi disks that have a ':' in the target name.
    - tests: re-enable ZestyTestMdadmBcache.
    - curthooks: fix pylint reported error when using ubuntu_core_curthooks.
    - Add support for installing Ubuntu-Core 16 images
    - Add 'STORAGE_CONFIG_V1_DD' to the feature list.
    - flake8: fix flake8 issues with previous merge.
    - Support selection of target disk for dd images install via storage
      config.
    - vmtest: have vmtest-sync-images avoid running when jenkins-runner is.
    - tools/curtin-from-container: do not use lxc file push --create-dirs
    - tests: enable curtainer to pull down curtin source locally
    - tests: make nose output always include class name and method.
    - tools/curtin-from-container: default to verbosity level 0, not 2.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Jun 2017 16:31:10 -0400

curtin (0.1.0~bzr470-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * debian/rules: record debian package version in installed package.
    (LP: #1666986)
  * New upstream snapshot.
    - vmtest: allow time-based skipping of tests, apply to ZestyMdadmBcache
      to temporarily avoid bug 1667078.
    - Add iSCSI disk support. (LP: #1645515)
    - vmtest: handle change in btrfs-progs when finding fs UUID. (LP: #1665701)
    - pycodestyle: fix bare except in vmtests
    - unittests: add subp coverage for retries, and rcs
    - reporting: Add better descriptions and granularity of events
    - tox: do not bother with pep8 from trusty in trusty-check
    - tests: add two scripts used for running vmtest with installed package.
    - Make add-apt-repository command retry
    - Add tests for network bridging configuration

 -- Scott Moser <smoser@ubuntu.com>  Wed, 01 Mar 2017 11:17:12 -0500

curtin (0.1.0~bzr460-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * New upstream snapshot.
    - Install zipl in target on s390x arch. (LP: #1662346)
    - avoid UnicodeDecode error on passing non-utf8 into shlex
    - adjustments to version string handling, improved pack unit tests.
    - helpers/common: Add grub install debugging output
    - curtin: add version module and display in output and logs
    - content decoding in load_file, apply_net raise exception on errors
    - gpg: retry when recv'ing gpg keys fail (LP: #1661337)
    - Add clear_holders checks to disk and partition handlers (LP: #1659509)
    - net: add new lines after rendered static routes. (LP: #1649652)
    - multipath: don't run update-grub; setup_grub will handle this better.
      (LP: #1656369)
    - Test changes:
      - vmtest: Add tests for zesty and Trusty HWE-X kernels.
      - tests: fix tox tip-pycodestyle complaints
      - image-sync: add debugging output to help diagnose errors
      - vmtest: change get_curtin_version to use version subcommand.
      - Remove style checking during build and add latest style checks to tox
      - subp doc an unit test improvements.
      - flake8: remove unused variable.
      - vmtest: Add the ability to add extra config files to test execution.
      - vmtest: overhaul image sync
      - vmtest: skip apt-proxy test if not set
      - vmtest: add 'webserv' helper
      - vmtest: add CURTIN_VMTEST_CURTIN_EXE variable.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Feb 2017 22:30:13 -0500

curtin (0.1.0~bzr437-0ubuntu1~16.10.1) yakkety-proposed; urgency=medium

  * debian/new-upstream-snapshot: change to not use bzr merge-upstream.
  * New upstream snapshot.
    - revert: Test Workaround: skip XenialTestNvme for a short time.
    - Test Workaround: skip XenialTestNvme for a short time.
    - pep8: fix pep8 errors found with 'make pep8' on zesty.
    - Workaround failures caused by gpg2 daemons left running in chroot.
      (LP: #1645680)
    - Install u-boot-tools when running on a system with u-boot. (LP: #1640519)
    - block: fix partition kname for raid devices (LP: #1641661)
    - Fix up tox errors that slipped in and new pycodestyle 2.1.0 complaints.
    - vmtests: adjust vmtest image sync metadata filenames
    - vmtests: Add centos support
    - Disable WilyTestRaid5Bcache vmtest
    - tools/xkvm: fix --netdev=<bridge>
    - bytes2human: fix for values larger than 32 bit int on 32 bit python2.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 23 Jan 2017 14:30:25 -0500

## curtin 0.1.0~bzr532

=== debian/changelog ===
curtin (0.1.0~bzr532-0ubuntu1~17.04.1) zesty; urgency=medium

  * New upstream snapshot. (LP: #1721808)
    - vmtest: fix artful networking
    - docs: Trivial doc fix for enabling proposed.
    - setup.py: fix to allow installation into a virtualenv
    - doc: update documentation on curtin-hooks and non-ubuntu installation.
    - reporter: Add journald reporter to send events to journald
    - vmtests: add option to tar disk images after test run
    - install: ensure iscsi service is running to handle shutdown properly
    - mdadm: handle write failures to sysfs entries when stopping mdadm
    - vmtest: catch exceptions in curtin-log-print
    - iscsi: use curtin storage config to disconnect iscsi targets
    - vmtests: bump skip_by_date values out to give cloud-init SRU more time
    - vmtest: get info about collected symlinks and then delete them.
    - Update network cloud-init related skiptest dates, SRU still pending
    - tests: Add CiTestCase common parent for all curtin tests.
    - vmtests: Remove force flag for centos curthooks
    - tools/jenkins-runner: improve tgtd cleanup logic
    - tests: Drop EOL Wily Vivid and Yakkety tests.
    - Disable yum plugins when installing packages, update ca-certs for https
    - Rename centos_network_curthooks -> centos_apply_network_config.
    - tests: in centos_defaults use write_files for grub serial.
    - write_files: write files after extract, change write_files signature.
    - pass network configuration through to target for ubuntu and centos
    - tests: disable yakkety tests.
    - tools/launch: automatically pass on proxy settings to curtin
    - Add top level 'proxy' to config, deprecate top level http_proxy.
    - tools/curtainer: fix to enable deb-src for -proposed.
    - Use unshare to put chroot commands in own pid namespace.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Oct 2017 10:53:10 -0600

curtin (0.1.0~bzr505-0ubuntu1~17.04.1) zesty; urgency=medium

  * New upstream snapshot. (LP: #1697545)
    - vmtest: let the socket level select a port rather than us picking one. 
    - Fix deb build by mocking call to udevadm settle 
    - Clear and re-order UEFI boot methods during UEFI grub installation. 
    - Resolve bcache race-conditions 
    - tests: clean up usage of collect files 
    - Allow re-use of vmtest output 
    - Fix stacked storage configurations with iSCSI
    - vmtests: enable tests to apply storage config to validate clear_holders
      path 
    - mdadm_stop: Add retry and additional steps to halt a resync 
    - vmtests: Add Artful release and update classes 
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop
    - uc16 curthooks: add 'network' key to config file
    - Doc and makefile updates for build and test on new systems. 
    - clear-holders: make bcache handler wait for device shutdown
    - vmtest: Use utf-8 and fix pseudo test collect_output 
    - vmtest: fix path to install log, and utilize the globally copied paths. 
    - Copy curtin install log into target.
    - vmtest: add in post-test log post-processing 
    - vmtest: update source.list test 
    - add recursive flag to do_umount, add --umount to block-meta 
    - load_command_environment: fix strict flag, and unit tests. 
    - block_meta: Attempt to mount by UUID= if possible
    - Make systems with root on bcache use root=UUID=.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Jun 2017 15:57:40 -0400

## curtin 17.1-11-ga4c9636b

=== debian/changelog ===
curtin (17.1-11-ga4c9636b-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1743618)
    - tests: cleanup the apt custom sources test.
    - apt: Be more lenient when replacing mirrors in /etc/apt/sources.list
    - vmtest: Drop Zesty release
    - vmtest: initialize logger with class names for easy parsing
    - packaging: Do not mention primary contributors in debian/changelog.

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 18 Jan 2018 15:30:09 -0600

curtin (17.1-6-g8b145067-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1743618)
    - packaging: Update new-upstream-snapshot to work with git.
    - Bump pylint to 1.8.1.
    - vmtests: switch to MAAS v3 streams for images and kernels [Ryan Harper]
    - tests: update pack tests to clear out pyc files more completely.
    - debian/control: drop conflicts that had bzr version
    - Switch uses of bzr to git, borrow from cloud-init git workflow.
    - Release 17.1
    - packaging: update debian/build-deb to remove ~bzrREV when using equal tag
    - pack: fix packing when curtin is installed inside a snap.
    - tox: move to pylint 1.7.4
    - vmtests: iscsi minor cleanup.
    - vmtests: exercise rootfs over an lvm logical volume [Ryan Harper]
    - Switch network dep filter to test for ifupdown/nplan instead of release
      name [Ryan Harper]
    - Allow control of curtin install unmounting [Ryan Harper]
    - vmtests: Add Bionic release to tests and update classes.
    - storage: add 'options' key mount type to specify mount parameters for
      filesystems [Ryan Harper]
    - Re-add curthooks.write_files method for backwards compat
      [Ryan Harper]
    - vmtest: Remove ArtfulTestBridging skip_by_date check, bug fixed
    - Drop Precise from vmtest [Ryan Harper]
    - clear_holders: bcache log IO/OS exceptions but do not raise [Ryan Harper]
    - vmtest: Support newer qemu and multipath.
    - block: enable control over exclusive_open use when wiping volumes
      [Ryan Harper]
    - block: handle wiping bcache parts [Ryan Harper]
    - vmtests: Defer ArtfulNetworkMtu SkipbyDate to 2018 [Ryan Harper]
    - bcache: accept sysfs write failure in shutdown handler if path missing
      [Ryan Harper]
    - vmtest: Rephrase a message about no disks to be less scary
    - block_meta: use block.wipe_volume(mode=superblock) to clear MBR/GPT
      tables [Ryan Harper]

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 16 Jan 2018 15:24:44 -0600

curtin (0.1.0~bzr532-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1721808)
    - vmtest: fix artful networking
    - docs: Trivial doc fix for enabling proposed.
    - setup.py: fix to allow installation into a virtualenv
    - doc: update documentation on curtin-hooks and non-ubuntu installation.
    - reporter: Add journald reporter to send events to journald
    - vmtests: add option to tar disk images after test run
    - install: ensure iscsi service is running to handle shutdown properly
    - mdadm: handle write failures to sysfs entries when stopping mdadm
    - vmtest: catch exceptions in curtin-log-print
    - iscsi: use curtin storage config to disconnect iscsi targets
    - vmtests: bump skip_by_date values out to give cloud-init SRU more time
    - vmtest: get info about collected symlinks and then delete them.
    - Update network cloud-init related skiptest dates, SRU still pending
    - tests: Add CiTestCase common parent for all curtin tests.
    - vmtests: Remove force flag for centos curthooks
    - tools/jenkins-runner: improve tgtd cleanup logic
    - tests: Drop EOL Wily Vivid and Yakkety tests.
    - Disable yum plugins when installing packages, update ca-certs for https
    - Rename centos_network_curthooks -> centos_apply_network_config.
    - tests: in centos_defaults use write_files for grub serial.
    - write_files: write files after extract, change write_files signature.
    - pass network configuration through to target for ubuntu and centos
    - tests: disable yakkety tests.
    - tools/launch: automatically pass on proxy settings to curtin
    - Add top level 'proxy' to config, deprecate top level http_proxy.
    - tools/curtainer: fix to enable deb-src for -proposed.
    - Use unshare to put chroot commands in own pid namespace.

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Oct 2017 10:07:36 -0600

curtin (0.1.0~bzr505-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/new-upstream-snapshot: create tarball in .. otherwise it
    will get deleted in the cleaning of files.
  * New upstream snapshot. (LP: #1697545)
    - vmtest: let the socket level select a port rather than us picking one.
    - Fix deb build by mocking call to udevadm settle
    - Clear and re-order UEFI boot methods during UEFI grub installation.
    - Resolve bcache race-conditions
    - tests: clean up usage of collect files
    - Allow re-use of vmtest output
    - Fix stacked storage configurations with iSCSI
    - vmtests: enable tests to apply storage config to validate clear_holders
      path
    - mdadm_stop: Add retry and additional steps to halt a resync
    - vmtests: Add Artful release and update classes
    - clear-holders: mdadm use /proc/mdstat to wait for array to stop
    - uc16 curthooks: add 'network' key to config file
    - Doc and makefile updates for build and test on new systems.
    - clear-holders: make bcache handler wait for device shutdown
    - vmtest: Use utf-8 and fix pseudo test collect_output
    - vmtest: fix path to install log, and utilize the globally copied paths.
    - Copy curtin install log into target.
    - vmtest: add in post-test log post-processing
    - vmtest: update source.list test
    - add recursive flag to do_umount, add --umount to block-meta
    - load_command_environment: fix strict flag, and unit tests.
    - block_meta: Attempt to mount by UUID= if possible
    - Make systems with root on bcache use root=UUID=.


## curtin 18.1-1-g45564eef

=== debian/changelog ===
curtin (18.1-1-g45564eef-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1759664)
    - Drop ubuntu branch management script new-upstream-snapshot.
    - Release 18.1
    - zfs/zpool version=28 by default, allow users to override default values.
    - helpers/shell-archive: drop use of tar --sparse flag
    - vmtest: In Basic install, add entry for swap to fstab and verify its use.
    - vmtest: skip some bcache tests pending kernel fixes
    - vmtests: extend skip_by_date for lvmroot_xfsroot and network_mtu
    - vmtest: fix pollinate re.search to use groupdict()
    - Add pollinate user-agent configuration support.
    - vmtest: Remove xenial and trusty specific workaround for rooturl.
    - vmtest: Add Filesystem Battery test.
    - Remove grub2/xenial specific workarounds for zfsroot.
    - Disable dirty_disks mode for mdadm + iscsi tests
    - tools/curtainer: Try harder to get source at binary version.
    - clear_holders: wipe complex devices before disassembly
    - vmtests: network_mtu: fix bug number and move date out one month
    - fix /usr/bin/curtin exit code in install failure
    - docs: Document use of format command with fstype: zfsroot
    - docs: Add HACKING.rst doc to top level dir and readthedocs.
    - vmtest: fix centos root-tgz image sync
    - block_meta: Ensure offset input to sgdisk are integers.
    - Fix error in url_helper and vmtest from previous commit.
    - tools: fix curtainer to specify source version to apt-get source.
    - Add support for installing sources that are a filesystem image.
    - clear-holders: detect and remove devices from kernel swap as needed.
    - tests: remove xfs filesystem from basic uefi test.
    - tools: fix curtainer --source with trusty.
    - apply_net: do not write to stderr directly.
    - vmtest: Drop use of root-image.gz and maas2roottar.
    - in-target: use ChrootableTarget so that unshare pid is used.
    - tools/curtainer: check that binary and source version are the same.
    - Add zfsroot as a filesystem type
    - fix modeline for shell syntax files.
    - error logs: Create error_tarfile path if path does not exist
    - zfs: only load zfs on xenial+ skip artful/bionic zfs env export
    - error logs: automatically collect and tar curtin logs upon error.
    - vmtests: Support skipping skip_by_date tests based on environment.
    - Add zpool, zfs storage commands for experimental support of ZFS on root.
    - tests: revert workaround for bug in overlayroot that is now fixed.
    - tests: Bump skip_by_dates for bug 1652822 and 1671952.
    - cli: add curtin collect-logs sub-command
    - vmtest: Do not run tests of unsupported Ubuntu releases.
    - Make license headers and file footers consistent and simplify.

 -- Ryan Harper <ryan.harper@canonical.com>  Thu, 29 Mar 2018 09:25:22 -0500

## curtin 18.1-5

=== Makefile ===
--- 
+++ 
@@ -35,11 +35,14 @@
 	nosetests $(coverageopts) $(noseopts) tests/unittests
 	nosetests3 $(coverageopts) $(noseopts) tests/unittests
 
-docs:
-	@which sphinx-build || \
-		{ echo "need sphinx-build. get it:"; \
-		  echo "   apt-get install -qy python3-sphinx"; exit 1; } 1>&2
+docs: check-doc-deps
 	make -C doc html
+
+check-doc-deps:
+	@which sphinx-build && $(PYTHON) -c 'import sphinx_rtd_theme' || \
+		{ echo "Missing doc dependencies. Install with:"; \
+		  pkgs="python3-sphinx-rtd-theme python3-sphinx"; \
+		  echo sudo apt-get install -qy $$pkgs ; exit 1; }
 
 # By default don't sync images when running all tests.
 vmtest:
@@ -54,4 +57,4 @@
 clean:
 	rm -rf doc/_build
 
-.PHONY: all clean test pyflakes pyflakes3 pep8 build style-check
+.PHONY: all clean test pyflakes pyflakes3 pep8 build style-check check-doc-deps

## curtin 18.1-5-g572ae5d6

=== debian/changelog ===
curtin (18.1-5-g572ae5d6-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - clear-holders: fix lvm name use when shutting down (LP: #1764602)
    - install: prevent unmount: disabled from swallowing installation failures
      (LP: #1764210)
    - vmtest: bionic images no longer use the vlan package
    - pycodestyle: Fix invalid escape sequences in string literals.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 18 Apr 2018 10:15:46 -0500

curtin (18.1-1-g45564eef-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Drop ubuntu branch management script new-upstream-snapshot.
    - Release 18.1
    - zfs/zpool version=28 by default, allow users to override default values.
      (LP: #1754013)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Mar 2018 14:22:58 -0600

curtin (17.1-51-gbd40234f-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - helpers/shell-archive: drop use of tar --sparse flag (LP: #1757565)
    - vmtest: In Basic install, add entry for swap to fstab and verify its use.
    - vmtest: skip some bcache tests pending kernel fixes
    - vmtests: extend skip_by_date for lvmroot_xfsroot and network_mtu
    - vmtest: fix pollinate re.search to use groupdict()
    - Add pollinate user-agent configuration support.

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 23 Mar 2018 10:51:50 -0500

curtin (17.1-45-g1a5fe18a-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - vmtest: Remove xenial and trusty specific workaround for rooturl.
    - vmtest: Add Filesystem Battery test.
    - Remove grub2/xenial specific workarounds for zfsroot.
    - Disable dirty_disks mode for mdadm + iscsi tests
    - tools/curtainer: Try harder to get source at binary version.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2018 12:20:40 -0500

curtin (17.1-40-g46f8000f-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - clear_holders: wipe complex devices before disassembly (LP: #1750519)
    - vmtests: network_mtu: fix bug number and move date out one month
    - fix /usr/bin/curtin exit code in install failure (LP: #1751176)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2018 02:55:23 -0500

curtin (17.1-37-g82622f12-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - docs: Document use of format command with fstype: zfsroot
    - docs: Add HACKING.rst doc to top level dir and readthedocs.
    - vmtest: fix centos root-tgz image sync
    - block_meta: Ensure offset input to sgdisk are integers.
    - Fix error in url_helper and vmtest from previous commit.
    - tools: fix curtainer to specify source version to apt-get source.
    - Add support for installing sources that are a filesystem image.
      (LP: #1746348)
    - clear-holders: detect and remove devices from kernel swap as needed.
      (LP: #1743643)
    - tests: remove xfs filesystem from basic uefi test.
    - tools: fix curtainer --source with trusty.
    - apply_net: do not write to stderr directly.
    - vmtest: Drop use of root-image.gz and maas2roottar.
    - in-target: use ChrootableTarget so that unshare pid is used.
    - tools/curtainer: check that binary and source version are the same.
      (LP: #1747077)
    - Add zfsroot as a filesystem type
    - fix modeline for shell syntax files.
    - error logs: Create error_tarfile path if path does not exist
      [Chad Smith] (LP: #1746363)
    - zfs: only load zfs on xenial+ skip artful/bionic zfs env export
    - error logs: automatically collect and tar curtin logs upon error.
      [Chad Smith]
    - vmtests: Support skipping skip_by_date tests based on environment.
    - Add zpool, zfs storage commands for experimental support of ZFS on root.
    - tests: revert workaround for bug in overlayroot that is now fixed.
    - tests: Bump skip_by_dates for bug 1652822 and 1671952.
    - cli: add curtin collect-logs sub-command [Chad Smith]
    - vmtest: Do not run tests of unsupported Ubuntu releases.
    - Make license headers and file footers consistent and simplify.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Feb 2018 12:19:07 -0500

curtin (17.1-11-ga4c9636b-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - tests: cleanup the apt custom sources test.
    - apt: Be more lenient when replacing mirrors in /etc/apt/sources.list
      (LP: #1744038)
    - vmtest: Drop Zesty release
    - vmtest: initialize logger with class names for easy parsing
    - packaging: Do not mention primary contributors in debian/changelog.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Jan 2018 16:31:27 -0500

curtin (17.1-6-g8b145067-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - packaging: Update new-upstream-snapshot to work with git.
    - Bump pylint to 1.8.1.
    - vmtests: switch to MAAS v3 streams for images and kernels [Ryan Harper]
    - tests: update pack tests to clear out pyc files more completely.
    - debian/control: drop conflicts that had bzr version
    - Switch uses of bzr to git, borrow from cloud-init git workflow.

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 16 Jan 2018 15:42:36 -0600

curtin (17.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.1).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Dec 2017 16:53:09 -0500

curtin (17.0~bzr552-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - packaging: update debian/build-deb to remove ~bzrREV when using equal tag
    - pack: fix packing when curtin is installed inside a snap.
    - tox: move to pylint 1.7.4
    - vmtests: iscsi minor cleanup.
    - vmtests: exercise rootfs over an lvm logical volume
    - Switch network dep filter to test for ifupdown/nplan instead of release
      name
    - Allow control of curtin install unmounting
    - vmtests: Add Bionic release to tests and update classes.
    - storage: add 'options' key mount type to specify mount parameters for
      filesystems (LP: #1709284)


=== debian/control ===
Source: curtin
Section: admin
Priority: extra
Standards-Version: 3.9.6
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
               dh-python,
               pep8,
               pyflakes,
               python-all,
               python-coverage,
               python-mock,
               python-nose,
               python-oauthlib,
               python-setuptools,
               python-yaml,
               python3,
               python3-coverage,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-setuptools,
               python3-yaml
Homepage: http://launchpad.net/curtin
X-Python3-Version: >= 3.2

Package: curtin
Architecture: all
Priority: extra
Depends: bcache-tools,
         btrfs-tools,
         dosfstools,
         file,
         gdisk,
         lvm2,
         mdadm,
         parted,
         python3-curtin (= ${binary:Version}),
         udev,
         xfsprogs,
         ${misc:Depends}
Description: Library and tools for the curtin installer
 This package provides the curtin installer.
 .
 Curtin is an installer that is blunt, brief, snappish, snippety and
 unceremonious.

Package: curtin-common
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Description: Library and tools for curtin installer
 This package contains utilities for the curtin installer.

Package: python-curtin
Section: python
Architecture: all
Priority: extra
Depends: curtin-common (= ${binary:Version}),
         python-oauthlib,
         python-yaml,
         wget,
         ${misc:Depends},
         ${python:Depends}
Description: Library and tools for curtin installer
 This package provides python library for use by curtin.

Package: python3-curtin
Section: python
Architecture: all
Priority: extra
Depends: curtin-common (= ${binary:Version}),
         python3-oauthlib,
         python3-yaml,
         wget,
         ${misc:Depends},
         ${python3:Depends}
Description: Library and tools for curtin installer
 This package provides python3 library for use by curtin.

## curtin 18.1-17-gae48e86f

=== debian/changelog ===
curtin (18.1-17-gae48e86f-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1772044)
    - tests: replace usage of mock.assert_called
    - tools: jenkins-runner show curtin version in output.
    - zfs: implement a supported check to handle i386
    - Support mount entries not tied to a device, including bind and tmpfs.
    - block/clear_holders/mdadm: refactor handling of layered device wiping
    - clear_holders: only export zpools that have been imported
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 18 May 2018 13:58:58 -0500

## curtin 18.1-59-g0f993084

=== debian/changelog ===
curtin (18.1-59-g0f993084-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - distro: fix system_upgrade command using string instead of function
      (LP: #1796968)
    - Capture stdout when using lxc file push
    - vmtest: boot ephemeral with 'ro' on the kernel command line.

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 10 Oct 2018 11:22:30 -0500

curtin (18.1-56-g3aafe77d-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - vmtest: Fix typo in skip-by-date.
    - vmtest: kick skip-by-date for 1671951.
    - tools/jenkins-runner: Error if both filters and tests are given.
    - vmtests: prevent tests from modifying cls.collect_scripts

 -- Chad Smith <chad.smith@canonical.com>  Tue, 02 Oct 2018 16:07:51 -0600

curtin (18.1-52-g5f0082d1-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Enable custom storage configuration for centos images

 -- Ryan Harper <ryan.harper@canonical.com>  Fri, 21 Sep 2018 03:04:42 -0500

curtin (18.1-51-gb812ae80-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - vmtest: ensure we collect /var/log/journal only once

 -- Chad Smith <chad.smith@canonical.com>  Tue, 21 Aug 2018 11:44:46 -0600

curtin (18.1-50-g2d9b2c6f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - clear-holders: handle missing zpool/zfs tools when wiping
    - clear-holders: rescan for lvm devices after assembling raid arrays
    - vmtest: enable persistent journal and collect at boot time
    - Add timing and logging functions.
    - parse_dpkg_version: support non-numeric in version string.
    - Don't allow reads of /proc and modprobe zfs through

 -- Chad Smith <chad.smith@canonical.com>  Mon, 20 Aug 2018 09:22:06 -0600

curtin (18.1-44-g2b12b8fc-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Add main so that 'python3 -m curtin' does the right thing.
    - Add subcommand 'features'.
    - block: use uuid4 (random) when autogenerating UUIDS for filesystems
    - vmtests: Increase size of root filesystems.
    - clear-holders: reread ptable after wiping disks with partitions
    - vmtest: Skip proposed pocket on dev release when 'proposed' in ADD_REPOS.
    - tests: remove Ubuntu Artful [Joshua Powers]
    - vmtests: Let a raised SkipTest go through skip_by_date.
    - vmtests: Increase root fs to give upgrades to -proposed more space.
    - vmtest: Order the vmtest_pollinate late_command earlier.
    - vmtest: always add 'curtin/vmtest' to installed pollinate user_agent.
    - vmtests: make skip_by_date a decorator that runs and reports.
    - vmtests: always declare certain attributes and remove redundant tests.
    - vmtests: Add Cosmic release to tests [Joshua Powers]
    - vmtests: skip TrustyTestMdadmBcache until 2019-01-22.
    - tox: use simplestreams from git repository rather than bzr.
    - document that you can set ptable on raids [Michael Hudson-Doyle]
    - vmtests: move skip-by date of xfs root and xfs boot out 1 year.
    - vmtests: network_mtu move fixby date out 4 months from last value

 -- Chad Smith <chad.smith@canonical.com>  Fri, 10 Aug 2018 09:22:12 -0600

curtin (18.1-25-g9d0e557e-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - Fix WorkingDir class to support already existing target directory.
      (LP: #1775622)
    - Fix extraction of local filesystem image. (LP: #1775630)
    - Fix tip-pyflakes imported but unused call to util.get_platform_arch
    - subp: update return value of subp with combine_capture=True.
    - tox: add a xenial environments, default envlist changes.
    - tests: Fix race on utcnow during timestamped curtin-log dir creation
      (LP: #1772481)
    - curtainer: patch source version from --source.
    - pyflakes: fix unused variable references identified by pyflakes 2.0.0.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Jun 2018 14:59:20 -0400

curtin (18.1-17-gae48e86f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tests: replace usage of mock.assert_called

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 14:58:06 -0400

curtin (18.1-16-g18835845-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - tools: jenkins-runner show curtin version in output.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 10:29:17 -0400

curtin (18.1-15-g5313b9e2-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot.
    - zfs: implement a supported check to handle i386 (LP: #1768709)
    - Support mount entries not tied to a device, including bind and tmpfs.
      (LP: #1767979)
    - block/clear_holders/mdadm: refactor handling of layered device wiping
      (LP: #1768893, #1769742)
    - clear_holders: only export zpools that have been imported (LP: #1770280)
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries (LP: #1767584)
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute
      (LP: #1760879, #1760880)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 May 2018 10:19:45 -0400
